I found this in a openSUSE thread, reporting the same issue. It seems as if you're missing some packages that aren't provided. One post suggests to install system-user-nobody.
Do you have access to the SLE-15-Packages.iso? You could attach that to the server and add it as a repository, then retry the installation.